Tag: gradle

L'errore di Gradle dopo aver incluso facebook sdk

Subito dopo aver aggiunto il facebook-audience-network-sdk nel mio file gradle, ho iniziato a ricevere errori, il primo a cui ho risolto il mio aggiunta di multiDexEnabled true, dopo che continuo a get questo errore Esecuzione non rioutput per il task ': app: transformClassesWithJarMergingForDebug'. com.android.build.api.transform.TransformException: java.util.zip.ZipException: inserimento duplicato: com / google / android / gms / […]

Errore: In <dichiarare-styleable> SherlockSpinner, imansible trovare l'attributo android: popupPromptView

Il mio progetto contiene "ActionBar Sherlock Pull per aggiornare" e compila e funziona correttamente con il livello API 21 e precedenti ma quando cerco di compilarlo con API 22, ottengo questo errore: Error:In <declare-styleable> SherlockSpinner, unable to find attribute android:popupPromptView Error:Execution failed for task ':app:processDebugResources'. com.android.ide.common.internal.LoggedErrorException: Imansible eseguire il command: /Users/m./Android_SDK/build-tools/21.1.2/aapt pacchetto -f –no-crunch -I […]

Errore di esecuzione di Android (scritto in Kotlin) progetto compilato con plugin Gradle2.0.0-alpha

Quando compila il progetto con il nuovo gradle2.0.0-alpha che sto ottenendo. java.lang.RuntimeException: Unable to instantiate application com.android.tools.fd.runtime.BootstrapApplication: java.lang.ClassNotFoundException: Didn't find class "com.android.tools.fd.runtime.BootstrapApplication" on path: DexPathList[[zip file "/data/app/com.inoutdelivery.enfesta-1/base.apk"],nativeLibraryDirectories=[/vendor/lib, /system/lib]] Qualche idea?

gradle-android-scala-plugin dà "errore" Imansible trovare il constructor corrispondente "

L'importzione di questo codice di esempio in Android Studio fornisce questo errore: Errore: (17, 0) Imansible trovare il constructor corrispondente per: org.gradle.api.internal.tasks.DefaultScalaSourceSet (java.lang.String, org.gradle.api.internal.file.BaseDirFileResolver) build.gradle: buildscript { repositories { mavenCentral() } dependencies { classpath "com.android.tools.build:gradle:2.0.0" classpath "jp.leafytree.gradle:gradle-android-scala-plugin:1.4" } } repositories { jcenter() } apply plugin: "com.android.application" android{ compileSdkVersion "android-23" buildToolsVersion "23.0.1" } apply plugin: "jp.leafytree.android-scala" […]

Gradle non rioutput dopo l'aggiornamento a Android studio 2.3 Canary 3

Ho recentemente aggiornato la versione dello studio android del mio progetto da 2.3 Canary 2 a 2.3 Canary 3. Da allora la build gradle non riesce each volta con questo errore: Errore: Imansible trovare il metodo 'org.gradle.api.tasks.Sync.getInputs () Lorg / gradle / api / interno / TaskInputsInternal;'. Le cause possibili di questo errore imprevisto includono: […]

Rendere Google Play Services 4.0.30 funziona con Android Studio 0.4.2 e Gradle 0.7

Non sembra che ci sia una mancanza di soluzioni disponibili per utilizzare Google Play Services per utilizzare Android Studio. Ho provato la maggior parte di loro. Dopo molte prove e tanti errori mi sono giunti alla conclusione che affinché molte di queste soluzioni funzionino devi avere le combinazioni esatte delle versioni come autori di queste […]

Dopo l'aggiornamento – crash com.google.android.gms: play-services: 5.2.8

le mie dependencies: compile "com.android.support:appcompat-v7:20.+" compile 'com.google.android.gms:play-services:5.2.08' compile 'com.android.support:support-v4:21.0.+' ma ancora: i servizi di Google Play sono obsoleti. Richiede 5208000 ma ha trovato 5089036 com'è ansible? AGGIORNARE questo lavoro: compile 'com.google.android.gms:play-services:5.0.89' o compile 'com.google.android.gms:play-services:6.1.11' o compile 'com.google.android.gms:play-services:6.+'

Android Gradle app: connectedCheck esegue test da dependencies

Ho un progetto di libreria che ha i propri test. Non sono responsabile di questo progetto di libreria e non mi interessa per i suoi test, tuttavia, quando gradle :app:connectedCheck esegue i miei test, ma esegue anche i test delle dependencies. C'è un modo per impedire questo? Devo menzionare che le mie dependencies non rientrano […]

Android con Gradle Release plugin

Voglio utilizzare il plugin di rilascio di Gradle nel Android Project . L'ho configurato e tutto va bene, tranne una cosa: Gradle Release Plugin cambia la versione di progetto nel file gradle.properties in una delle sue attività, ma questa modifica non influenza la versione di Android Project's , in quanto, come ho trovato, con l'utilizzo […]

Come configurare l'ordine delle librerie nel path classp per Android Studio?

Vorrei cambiare l'ordine delle librerie nel path di class per Android Studio. Sto provando a eseguire test di unità con JUnit 4 dall'IDE . Questo funziona seguendo l' istruzione in queste diapositive . Mi chiedo se è ansible configurare l'ordine delle librerie – altrimenti suggerite nelle diapositive – tramite la configuration di esecuzione di Android […]

L'Android è un fan Android di Google, tutto su telefoni Android, Android Wear, Android Dev e applicazioni Android Games e così via.